include:
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/modules/setup_test.gitlab-ci.yml"
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/modules/test_lint.gitlab-ci.yml"
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/modules/test_unit.gitlab-ci.yml"
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/modules/bundle.gitlab-ci.yml"
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/modules/build.gitlab-ci.yml"
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/modules/release_image.gitlab-ci.yml"

stages:
  - setup_test
  - test
  - bundle
  - build
  - release
